/*

  Key Switch Module Keep Stage

  Parts required:
  - Arduino Board
  - Key Switch Module
  - 220 Ohm Resistor
  - 10K Ohm Resistor
  - LED (any color)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 10 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int buttonRead = 0;                         // Set buttonRead to 0
int buttonPin = 2;                          // Use digital pin 2
int ledPin = 3;                             // Use digital pin 3
int ledStatus = 0;                          // Set ledStatus to 0
int bounceRemover = 300;                    // Set bounceRemover to delay(300)    

void setup() {

  pinMode(buttonPin, INPUT);                // Set buttonPin as OUTPUT
  pinMode(ledPin, OUTPUT);                  // Set ledPin as OUTPUT
}

void loop() {
  buttonRead = digitalRead(buttonPin);      // Get status on buttonPin
  if (buttonRead == HIGH) {                 // if status on buttonPin = High (DO)
    delay(bounceRemover);                   // Delay 300 mSec (Remove switch bounce)

    if (ledStatus == 1) {                   // if ledStatus = 1 (DO)
      digitalWrite(ledPin, HIGH);           // Set ledPin to High
      ledStatus = 0;                        // Set ledStatus to 0
    }
    else {
      digitalWrite(ledPin, LOW);            // Set ledPin to Low
      ledStatus = 1;                        // Set ledStatus to 1
    }
  }
  else {
    // Do nothing.....
  }
}
